Results 1 to 3 of 3

Thread: E: Unable to locate package nvidia-bl-dkms

  1. #1
    Join Date
    Jul 2014
    Beans
    1

    E: Unable to locate package nvidia-bl-dkms

    Hi,

    I have an intel mac and I am running ubuntu 14.04. I need to install nvidia-bl-dmks so that I can change the brightness. I added the mactel-support repo per the instructions here: https://help.ubuntu.com/community/MacBookPro5-5/Lucid. However, when I run sudo apt-get update, I get

    HTML Code:
    W: Failed to fetch http://ppa.launchpad.net/mactel-support/ppa/ubuntu/dists/trusty/main/binary-amd64/Packages  404  Not Found
    
    W: Failed to fetch http://ppa.launchpad.net/mactel-support/ppa/ubuntu/dists/trusty/main/binary-i386/Packages  404  Not Found
    And when I run apt-get install nvidia-bl-dmks, I get the following error:

    HTML Code:
    E: Unable to locate package nvidia-bl-dkms
    I have also tried obtaining nvidia-bl-dmks from here: http://www.ubuntuupdates.org/package...nvidia-bl-dkms
    But when I try to install it through the software center, I also get errors, which are included in the text file.

    Can someone tell me how best to resolve this?

    UPDATE:

    I realized that I had the trusty distribution selected instead of lucid. I am now able to get the package through apt-get but it still wont build. The terminal returns the following:

    Code:
    Unpacking nvidia-bl-dkms (0.17.3~lucid) ...
    Setting up nvidia-bl-dkms (0.17.3~lucid) ...
    Loading new nvidia_bl-0.17.3 DKMS files...
    
    Loading tarball for nvidia_bl-0.17.3
    
    DKMS: ldtarball completed.
    
    Creating symlink /var/lib/dkms/nvidia_bl/0.17.3/source ->
                     /usr/src/nvidia_bl-0.17.3
    
    DKMS: add completed.
    Installing prebuilt kernel module binaries (if any)
    Building module...
    
    Kernel preparation unnecessary for this kernel.  Skipping...
    
    Building module:
    cleaning build area....
    make KERNELRELEASE=3.13.0-30-generic -C /lib/modules/3.13.0-30-generic/build SUBDIRS=/var/lib/dkms/nvidia_bl/0.17.3/build modules....(bad exit status: 2)
    ERROR (dkms apport): binary package for nvidia_bl: 0.17.3 not found
    Error! Bad return status for module build on kernel: 3.13.0-30-generic (x86_64)
    Consult /var/lib/dkms/nvidia_bl/0.17.3/build/make.log for more information.
    dpkg: error processing package nvidia-bl-dkms (--configure):
     subprocess installed post-installation script returned error exit status 10
    Errors were encountered while processing:
     nvidia-bl-dkms
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    So it looks like it's not finding a file. Can someone tell me where I can download an older version of nvidia-bl-dkms that installs properly?
    Attached Files Attached Files
    Last edited by mdmosley1; 4 Weeks Ago at 07:03 PM.

  2. #2
    Join Date
    Sep 2012
    Location
    Gnome12o4/LXQt14o4
    Beans
    Hidden!

    Re: E: Unable to locate package nvidia-bl-dkms

    I have an intel mac and I am running ubuntu 14.04. I need to install nvidia-bl-dmks so that I can change the brightness. I added the mactel-support repo per the instructions here: https://help.ubuntu.com/community/MacBookPro5-5/Lucid. However, when I run sudo apt-get update, I get
    W: Failed to fetch http://ppa.launchpad.net/mactel-supp...amd64/Packages 404 Not Found
    W: Failed to fetch http://ppa.launchpad.net/mactel-supp...-i386/Packages 404 Not Found
    Looks like this ppa is no longer maintained; there is no trusty support.
    http://ppa.launchpad.net/mactel-supp.../ubuntu/dists/

  3. #3
    Join Date
    May 2012
    Beans
    79

    Re: E: Unable to locate package nvidia-bl-dkms

    While there is no trusty versioning, you might want to try the raring one ... it should install and work without problems.

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •